Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Diagnostics.idl
1/* SPDX-License-Identifier: BSD-3-Clause */
2/*
3 * Copyright 2010 Raritan Inc. All rights reserved.
4 */
5
6/**
7 * Network Configuration
8 */
9module net {
10
11 /** Diagnostics interface */
12 interface Diagnostics {
13 constant int NO_ERROR = 0; ///< No error
14 constant int ERR_INVALID_PARAM = 1; ///< Invalid parameters
15 constant int ERR_EXEC_FAIL = 2; ///< Error during execution
16 constant int ERR_TIMEOUT = 3; ///< Timeout
17 constant int ERR_RESOLVE_FAIL = 4; ///< Name resolution failure
18
19 /**
20 * Ping a network host (send out ICMP echo requests)
21 *
22 * @param hostName host that should be pinged
23 * @param count number of echo requests that should be sent (up to 20)
24 * @param results output of the ping command
25 *
26 * @return NO_ERROR if ping command was successful
27 * @return ERR_INVALID_PARAM if any parameters were invalid
28 * @return ERR_EXEC_FAIL if there was an error during ping execution
29 * @return ERR_RESOLVE_FAIL if the host name could not be resolved
30 */
31 int ping(in string hostName, in int count, out vector<string> results);
32
33 /**
34 * Get the route packet trace to a network host
35 *
36 * @param hostName destination host to track
37 * @param timeout Timeout (in seconds) to wait for traceroute results (up to 900)
38 * @param useIcmp use ICMP packets instead of UDP packets
39 * @param results trace output
40 *
41 * @return NO_ERROR if traceroute was successful
42 * @return ERR_INVALID_PARAM if any parameters were invalid
43 * @return ERR_EXEC_FAIL if there was an error during traceroute execution
44 * @return ERR_TIMEOUT if traceroute didn't finish before timeout elapsed
45 * @return ERR_RESOLVE_FAIL if the host name could not be resolved
46 */
47 int traceRoute(in string hostName, in int timeout,
48 in boolean useIcmp, out vector<string> results);
49
50 /**
51 * List the currently active TCP connections
52 *
53 * @return NO_ERROR if successful
54 * @return ERR_EXEC_FAIL if an error occured during execution of the socket statistic utility
55 */
56 int listTcpConnections(out vector<string> results);
57
58 /**
59 * List TCP/UDP listen (server) sockets
60 *
61 * @return NO_ERROR if successful
62 * @return ERR_EXEC_FAIL if an error occured during execution of the socket statistic utility
63 */
64 int listTcpUdpListenSockets(out vector<string> results);
65
66 /**
67 * Test whether resolving a host name works and provide diagnostic information.
68 *
69 * @param hostName host name to resolve
70 * @param results result (includes meta data and the actual result or error message)
71 */
72 void resolveHostName(in string hostName, out vector<string> results);
73 };
74
75}
net::Diagnostics
Diagnostics interface.
Definition Diagnostics.idl:12
net::Diagnostics::listTcpConnections
int listTcpConnections(out vector< string > results)
List the currently active TCP connections.
net::Diagnostics::ping
int ping(in string hostName, in int count, out vector< string > results)
Ping a network host (send out ICMP echo requests)
net::Diagnostics::traceRoute
int traceRoute(in string hostName, in int timeout, in boolean useIcmp, out vector< string > results)
Get the route packet trace to a network host.
net::Diagnostics::resolveHostName
void resolveHostName(in string hostName, out vector< string > results)
Test whether resolving a host name works and provide diagnostic information.
net::Diagnostics::listTcpUdpListenSockets
int listTcpUdpListenSockets(out vector< string > results)
List TCP/UDP listen (server) sockets.
net
Network Configuration.
Definition Diagnostics.idl:9